Description

I just noticed that when one of the statistics chart returns 500 the entire statistics list not displayed.

The error messages I get in the console logs are:

"Failed prop type: The prop `id` is marked as required in `ChartBox`, but its value is `undefined`"

"Failed prop type: Invalid prop `errorText` of type `object` supplied to `ChartBox`, expected `string`"

Related issues:

Related to Foreman - Refactor #21962: move away from jquery ajax to axios Closed 12/13/2017

Associated revisions

Revision 7d6d573e - 06/18/2018 12:12 PM - Boaz Shuster 

Fixes #23709 - Fix ajaxRequestAction failure dispatch

The FAILURE action dispatched in ajaxRequestAction is not

aligned with the bookmarks, powerStatus and statistics

reducers:

- Moving to axios returns Error object instead of a string

- The payload doesn't contain "id" but "item"

This patch fixes that problem and makes components work

on failures from API.

In addition, tests were added and fixed to avoid regressions.

Signed-off-by: Boaz Shuster <boaz.shuster.github@gmail.com>

History

#1 - 05/27/2018 11:57 AM - boaz shust

- Subject changed from StatisticsCharts fails handle errors to StatisticsCharts fails handling errors

#2 - 05/27/2018 11:58 AM - Ohad Levy

can you also get the error from rails ?

#3 - 05/27/2018 12:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5616 added

#4 - 05/27/2018 12:33 PM - boaz shust

- File development.log added
#5 - 06/18/2018 10:42 AM - Ohad Levy

- Related to Refactor #21962: move away from jquery ajax to axios added

#7 - 06/18/2018 12:14 PM - Ohad Levy

- translation missing: en.field_release set to 330

#8 - 06/18/2018 12:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5711 added

#9 - 06/18/2018 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7d6d573e20a24e05c71fb816b462da69eec53fcd.

Files

statistics_empty.png 31.8 KB 05/27/2018 boaz shust

console.error.png 49.9 KB 05/27/2018 boaz shust

development.log 14.7 KB 05/27/2018 boaz shust
